package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUserGroupDetail;
import com.sa.ibiz.demo.demo.service.dto.WFUserGroupDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUserGroupDetail] 服务对象接口
 */
public interface WFUserGroupDetailService extends IService<WFUserGroupDetail>{

	boolean getDraft(WFUserGroupDetail et);
	boolean create(WFUserGroupDetail et);
	boolean update(WFUserGroupDetail et);
	boolean checkKey(WFUserGroupDetail et);
		WFUserGroupDetail get(WFUserGroupDetail et);
	boolean remove(WFUserGroupDetail et);
    List<WFUserGroupDetail> listDefault(WFUserGroupDetailSearchFilter filter) ;
	Page<WFUserGroupDetail> searchDefault(WFUserGroupDetailSearchFilter filter);
	/**	 实体[WFUserGroupDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }